VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsLogging"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' Copyright (C) 2006 Kristian S. Stangeland

' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or (at your option) any later version.

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

' The file of which this logging operation logs to
Public FileName As String

Public Sub AppendLine(sLine As String)

    Dim Free As Long
    
    ' Retrieve a free file-socket
    Free = FreeFile

    ' Open the assigned file name
    Open FileName For Append As #Free

        ' Append the line
        Print #Free, sLine
    
    ' Close the file
    Close #Free

End Sub

Public Sub CreateLog(sFileName As String, refComm As clsCommunication)

    ' Make sure the directory exists
    FileOperation.CreateDirectory FileOperation.GetFilePath(sFileName)

    ' Set the file name
    FileName = sFileName

    ' Append the two first lines in the log
    AppendLine "Session start: " & Now
    AppendLine "Session server: " & refComm.ServerAddress

End Sub


