VERSION 5.00
Begin VB.Form frmLogon 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Log on"
   ClientHeight    =   3240
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   5685
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MDIChild        =   -1  'True
   MinButton       =   0   'False
   ScaleHeight     =   216
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   379
   ShowInTaskbar   =   0   'False
   Begin VB.TextBox txtName 
      Height          =   285
      Left            =   2160
      TabIndex        =   7
      Tag             =   "UserName"
      Text            =   "Kristian"
      Top             =   1440
      Width           =   3015
   End
   Begin VB.TextBox txtEmail 
      Height          =   285
      Left            =   2160
      TabIndex        =   6
      Tag             =   "UserEmail"
      Text            =   "kr_stang@hotmail.com"
      Top             =   1800
      Width           =   3015
   End
   Begin VB.CommandButton cmdMakeServer 
      Caption         =   "&Make server"
      Height          =   375
      Left            =   2880
      TabIndex        =   5
      Top             =   2640
      Width           =   1575
   End
   Begin VB.CommandButton cmdConnect 
      Caption         =   "&Connect"
      Default         =   -1  'True
      Height          =   375
      Left            =   1320
      TabIndex        =   4
      Top             =   2640
      Width           =   1575
   End
   Begin VB.TextBox txtPort 
      Height          =   285
      Left            =   2160
      TabIndex        =   3
      Tag             =   "ServerPort"
      Text            =   "1337"
      Top             =   960
      Width           =   3015
   End
   Begin VB.TextBox txtIPAddress 
      Height          =   285
      Left            =   2160
      TabIndex        =   2
      Tag             =   "ServerAddress"
      Text            =   "localhost"
      Top             =   600
      Width           =   3015
   End
   Begin VB.Label lblName 
      Caption         =   "&Nickname:"
      Height          =   255
      Left            =   480
      TabIndex        =   9
      Top             =   1440
      Width           =   2175
   End
   Begin VB.Label lblEmail 
      Caption         =   "&Email:"
      Height          =   255
      Left            =   480
      TabIndex        =   8
      Top             =   1800
      Width           =   2175
   End
   Begin VB.Label lblPort 
      Caption         =   "&Port:"
      Height          =   255
      Left            =   480
      TabIndex        =   1
      Top             =   960
      Width           =   2175
   End
   Begin VB.Label lblAddress 
      Caption         =   "&IP-address:"
      Height          =   255
      Left            =   480
      TabIndex        =   0
      Top             =   600
      Width           =   2175
   End
End
Attribute VB_Name = "frmLogon"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Copyright (C) 2006 Kristian S. Stangeland

' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or (at your option) any later version.

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Private Sub cmdConnect_Click()

    Dim frmInstance As frmWindow, refComm As clsCommunication

    ' Create a new communcation class
    Set refComm = New clsCommunication

    ' Attempt to connect to the server
    If refComm.Connect(refComm.CreateUser(txtName, _
     txtEmail), txtIPAddress, Val(txtPort)) = 0 Then
            
        ' Create a new window form ...
        Set frmInstance = New frmWindow
    
        ' And reference the right class
        Set frmInstance.refComm = refComm
    
        ' Hide and show the different forms
        frmInstance.Show
        frmInstance.Caption = "Client"
        Me.Hide
        
    Else
    
        ' Inform the user that the logon wasn't successful
        MsgBox "Could not log on to server", vbCritical, "Error in login"
    
        ' Disconnect
        refComm.LocalUser.Connection.CloseConnection
    
    End If

    ' Save the form
    Form_Unload 0

End Sub

Private Sub cmdMakeServer_Click()

    Dim frmInstance As New frmWindow

    ' Create a new communcation class
    Set frmInstance.refComm = New clsCommunication

    ' Attempt to create a new server
    frmInstance.refComm.Listen frmInstance.refComm.CreateUser(txtName, txtEmail), CLng(Val(txtPort))

    ' Hide and show the different forms
    frmInstance.Show
    Me.Hide
    
    ' Save the form
    Form_Unload 0

End Sub

Private Sub Form_Initialize()

    ' Allow XP-style
    InitCommonControls

End Sub

Private Sub Form_Load()

    ' Load the needed data
    ChatApp.Settings.FormLoad Me, "Logon"

End Sub

Private Sub Form_Unload(Cancel As Integer)

    ' Save all data
    ChatApp.Settings.FormSave Me, "Logon"

End Sub
